<p-panel header="Pipes personalizados" class="p-1">
  <p>
    Pipes personalizados - Creado por {{'nosotros' | toogleCase: isUpperCase}}
  </p>
</p-panel>

<p-toolbar>
  <div class="p-toolbar-group-start">
    <p-button (onClick)="toogleCase()" label="ToogleCase" icon="pi pi-search"></p-button>
  </div>

  <div class="p-toolbar-group-end">
    <p-button (onClick)="changeOrder('name')" class="mr-2" label="Por nombre" icon="pi pi-sort"
      styleClass="p-button-success"></p-button>
    <p-button (onClick)="changeOrder('canFly')" class="mr-2" label="Por volar" icon="pi pi-sort"
      styleClass="p-button-danger"></p-button>
    <p-button (onClick)="changeOrder('color')" class="mr-2" label="Por color" icon="pi pi-sort"
      styleClass="p-button-danger"></p-button>
  </div>
</p-toolbar>

<div class="grid">
  <div class="col mt-2">
    <p-table [value]="heroes | sortBy:orderBy" [tableStyle]="{ 'min-width': '50rem' }">
      <ng-template pTemplate="header">
        <tr>
          <th>Name</th>
          <th>Can fly?</th>
          <th>Color</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-hero>
        <tr>
          <td>{{ hero.name }}</td>
          <td>{{ hero.canFly | canFly }}</td>
          <td>{{ hero.color }}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>